' ---------------------------------------------------------------
'
' Riese1SD.VB                               Ulrich Müller 19.5.04
'                                           SharpDevelop   v0.99b
'
' Betriebsprogramm Riesenrad Schritt 1 : Aus- und Einsteigen
'
' ---------------------------------------------------------------

Option Explicit On
Option Strict Off
Imports System
Imports System.Drawing
Imports System.Windows.Forms
Imports FishFa30

Public Class MainForm
	Inherits System.Windows.Forms.Form
	Private cmdAction As System.Windows.Forms.Button
	Private lblStatus As System.Windows.Forms.Label
	
	Dim ft As New FishFace()
	
	
	Public Shared Sub Main
		Dim fMainForm As New MainForm
		fMainForm.ShowDialog()
	End Sub
	
	Public Sub New()
		MyBase.New
		' Must be called for initialization
		Me.InitializeComponent
		'
		' TODO : Add constructor code after InitializeComponents
		'
	End Sub
	
	Private Sub InitializeComponent()
			Me.lblStatus = New System.Windows.Forms.Label
			Me.cmdAction = New System.Windows.Forms.Button
			Me.SuspendLayout
			'
			'lblStatus
			'
			Me.lblStatus.Location = New System.Drawing.Point(16, 16)
			Me.lblStatus.Name = "lblStatus"
			Me.lblStatus.Size = New System.Drawing.Size(256, 24)
			Me.lblStatus.TabIndex = 1
			Me.lblStatus.Text = "Status"
			Me.lblStatus.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
			'
			'cmdAction
			'
			Me.cmdAction.Location = New System.Drawing.Point(48, 56)
			Me.cmdAction.Name = "cmdAction"
			Me.cmdAction.Size = New System.Drawing.Size(192, 40)
			Me.cmdAction.TabIndex = 0
			Me.cmdAction.Text = "&ACTION"
			AddHandler Me.cmdAction.Click, AddressOf Me.CmdActionClick
			'
			'MainForm
			'
			Me.AutoScaleBaseSize = New System.Drawing.Size(5, 14)
			Me.ClientSize = New System.Drawing.Size(288, 117)
			Me.Controls.Add(Me.lblStatus)
			Me.Controls.Add(Me.cmdAction)
			Me.Name = "MainForm"
			Me.Text = "Riesenrad Schritt 1"
			Me.ResumeLayout(false)
		End Sub
		
		Private Sub CmdActionClick(sender As Object, e As System.EventArgs)
		  Dim i%
		  Try
		  	ft.OpenInterface(Port.COM2)
		  	For i = 1 To 6
		  		ft.SetMotor(Nr.M1, Dir.Links)
		  		ft.WaitForHigh(Nr.E2)
		  		ft.Pause(1500)
		  		ft.SetMotor(Nr.M1, Dir.Aus)
		  		ft.Pause(4000)
		  	Next
		  Catch eft As FishFaceException
		  	lblStatus.Text = eft.Message
		  Finally
		    ft.CloseInterface()
		  End Try
		
		End Sub
		
End Class
